GLPatchTable Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends
Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
GLPatchTable Class Reference

`#include <glPatchTable.h>`

Inheritance diagram for GLPatchTable:

## Public Types
typedef GLuint | VertexBufferBinding

## Public Member Functions
| ~GLPatchTable ()
PatchArrayVector const & | GetPatchArrays () const
GLuint | GetPatchIndexBuffer () const
| Returns the GL index buffer containing the patch control vertices. More...
GLuint | GetPatchParamBuffer () const
| Returns the GL index buffer containing the patch parameter. More...
GLuint | GetPatchIndexTextureBuffer () const
| Returns the GL texture buffer containing the patch control vertices. More...
GLuint | GetPatchParamTextureBuffer () const
| Returns the GL texture buffer containing the patch parameter. More...

## Static Public Member Functions
static GLPatchTable * | Create (Far::PatchTable const *farPatchTable, void *deviceContext=NULL)

## Protected Member Functions
| GLPatchTable ()
bool | allocate (Far::PatchTable const *farPatchTable)

## Protected Attributes
PatchArrayVector | _patchArrays
GLuint | _patchIndexBuffer
GLuint | _patchParamBuffer
GLuint | _patchIndexTexture
GLuint | _patchParamTexture

## Detailed Description

Definition at line 43 of file glPatchTable.h.

## Member Typedef Documentation

typedef GLuint VertexBufferBinding

Definition at line 45 of file glPatchTable.h.

## Constructor & Destructor Documentation

~GLPatchTable | ( |  | ) |

GLPatchTable | ( |  | ) |
| protected

## Member Function Documentation

bool allocate | ( | Far::PatchTable const * | farPatchTable | ) |
| protected

static GLPatchTable* Create | ( | Far::PatchTable const * | farPatchTable,
|  | void * | deviceContext = `NULL`
| ) |  |
| static

PatchArrayVector const& GetPatchArrays | ( |  | ) | const
| inline

Definition at line 52 of file glPatchTable.h.

GLuint GetPatchIndexBuffer | ( |  | ) | const
| inline

Returns the GL index buffer containing the patch control vertices.

Definition at line 57 of file glPatchTable.h.

GLuint GetPatchIndexTextureBuffer | ( |  | ) | const
| inline

Returns the GL texture buffer containing the patch control vertices.

Definition at line 67 of file glPatchTable.h.

GLuint GetPatchParamBuffer | ( |  | ) | const
| inline

Returns the GL index buffer containing the patch parameter.

Definition at line 62 of file glPatchTable.h.

GLuint GetPatchParamTextureBuffer | ( |  | ) | const
| inline

Returns the GL texture buffer containing the patch parameter.

Definition at line 72 of file glPatchTable.h.

## Member Data Documentation

PatchArrayVector _patchArrays
| protected

Definition at line 82 of file glPatchTable.h.

GLuint _patchIndexBuffer
| protected

Definition at line 84 of file glPatchTable.h.

GLuint _patchIndexTexture
| protected

Definition at line 87 of file glPatchTable.h.

GLuint _patchParamBuffer
| protected

Definition at line 85 of file glPatchTable.h.

GLuint _patchParamTexture
| protected

Definition at line 88 of file glPatchTable.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/glPatchTable.h